Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::drop_fn Struct Reference
Inheritance diagram for ranges::views::drop_fn:

## Synopsis of methods
constexpr drop_fn | drop {}

## Public Member Functions
template<typename Int >
constexpr auto | operator() (Int n) const
Public Member Functions inherited from ranges::views::drop_base_fn
template<typename Rng >
auto | operator() (Rng &&rng, range_difference_t< Rng > n) const

## Member Function Documentation

## ◆ operator()()

template<typename Int >

constexpr auto ranges::views::drop_fn::operator() | ( | Int | n | ) | const
| constexpr

Precondition
  requires `detail::integer_like_<Int>`